# Uses of Enum
org.apache.sling.distribution.journal.bookkeeper.PackageHandling

Packages that use PackageHandling
Package
Description
org.apache.sling.distribution.journal.bookkeeper

## Uses of PackageHandling in org.apache.sling.distribution.journal.bookkeeper

Methods in org.apache.sling.distribution.journal.bookkeeper that return PackageHandling
Modifier and Type
Method
Description
`PackageHandling`
BookKeeperConfig.`getPackageHandling()`
`static PackageHandling`
PackageHandling.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PackageHandling[]`
PackageHandling.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.sling.distribution.journal.bookkeeper with parameters of type PackageHandling
Modifier
Constructor
Description
``
`BookKeeperConfig(String subAgentName, String subSlingId, boolean editable, int maxRetries, PackageHandling packageHandling, String packageNodeName, boolean extractorOverwriteFolderPrimaryTypes)`